<?php
/*
Simple:Press Forum
Admin Integration
$LastChangedDate: 2009-11-07 16:31:36 +0000 (Sat, 07 Nov 2009) $
$Rev: 2933 $
*/

if (preg_match('#' . basename(__FILE__) . '#', $_SERVER['PHP_SELF']))
{
	echo (__('Access Denied', "sforum"));
	die();
}

# Check Whether User Can Manage Admins
global $sfglobals, $SFSTATUS;

if (!$sfglobals['member']['admin'] && !$sfglobals['member']['moderator'])
{
	echo (__('Access Denied', "sforum"));
	die();
}

include_once (SF_PLUGIN_DIR.'/admin/panel-integration/sfa-integration-display.php');
include_once (SF_PLUGIN_DIR.'/admin/panel-integration/support/sfa-integration-prepare.php');
include_once (SF_PLUGIN_DIR.'/admin/library/sfa-tab-support.php');

if($SFSTATUS != 'ok')
{
    include_once (SFINSTALL);
    die();
}

global $adminhelpfile;
$adminhelpfile = 'admin-integration';
# --------------------------------------------------------------------

if(isset($_GET['tab']) ? $tab=$_GET['tab'] : $tab='page');
sfa_header();
sfa_render_integration_panel($tab);
sfa_footer();

?>